Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextFormat.Property

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextFormat.Property

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextFormat

    public static final class QTextFormat.Property

extends java.lang.Enum
implements QtEnumerator

Paragraph and character properties Paragraph properties Character properties List properties Table and frame properties Table cell properties Image properties Selection properties Page break properties

See Also:
  Serialized Form

Field Summary
`static QTextFormat.Property` | `AnchorHref`
`static QTextFormat.Property` | `AnchorName`
`static QTextFormat.Property` | `BackgroundBrush`
`static QTextFormat.Property` | `BackgroundImageUrl`
`static QTextFormat.Property` | `BlockAlignment`
`static QTextFormat.Property` | `BlockBottomMargin`
`static QTextFormat.Property` | `BlockIndent`
`static QTextFormat.Property` | `BlockLeftMargin`
`static QTextFormat.Property` | `BlockNonBreakableLines`
`static QTextFormat.Property` | `BlockRightMargin`
`static QTextFormat.Property` | `BlockTopMargin`
`static QTextFormat.Property` | `BlockTrailingHorizontalRulerWidth`
`static QTextFormat.Property` | `CssFloat`
`static QTextFormat.Property` | `FontCapitalization` Specifies the capitalization type that is to be applied to the text.
`static QTextFormat.Property` | `FontFamily`
`static QTextFormat.Property` | `FontFixedPitch`
`static QTextFormat.Property` | `FontItalic`
`static QTextFormat.Property` | `FontLetterSpacing` Changes the default spacing between individual letters in the font.
`static QTextFormat.Property` | `FontOverline`
`static QTextFormat.Property` | `FontPixelSize`
`static QTextFormat.Property` | `FontPointSize`
`static QTextFormat.Property` | `FontSizeAdjustment` Specifies the change in size given to the fontsize already set using `FontPointSize` or `FontPixelSize` .
`static QTextFormat.Property` | `FontStrikeOut`
`static QTextFormat.Property` | `FontUnderline` This property has been deprecated.
`static QTextFormat.Property` | `FontWeight`
`static QTextFormat.Property` | `FontWordSpacing` Changes the default spacing between individual words.
`static QTextFormat.Property` | `ForegroundBrush`
`static QTextFormat.Property` | `FrameBorder`
`static QTextFormat.Property` | `FrameBorderBrush`
`static QTextFormat.Property` | `FrameBorderStyle`
`static QTextFormat.Property` | `FrameBottomMargin`
`static QTextFormat.Property` | `FrameHeight`
`static QTextFormat.Property` | `FrameLeftMargin`
`static QTextFormat.Property` | `FrameMargin`
`static QTextFormat.Property` | `FramePadding`
`static QTextFormat.Property` | `FrameRightMargin`
`static QTextFormat.Property` | `FrameTopMargin`
`static QTextFormat.Property` | `FrameWidth`
`static QTextFormat.Property` | `FullWidthSelection` When set on the characterFormat of a selection, the whole width of the text will be shown selected
`static QTextFormat.Property` | `ImageHeight`
`static QTextFormat.Property` | `ImageName`
`static QTextFormat.Property` | `ImageWidth`
`static QTextFormat.Property` | `IsAnchor`
`static QTextFormat.Property` | `LayoutDirection` The layout direction of the text in the document (`Qt::LayoutDirection` ).
`static QTextFormat.Property` | `ListIndent`
`static QTextFormat.Property` | `ListStyle`
`static QTextFormat.Property` | `ObjectIndex`
`static QTextFormat.Property` | `ObjectType`
`static QTextFormat.Property` | `OutlinePen`
`static QTextFormat.Property` | `PageBreakPolicy`
`static QTextFormat.Property` | `TableCellBottomPadding`
`static QTextFormat.Property` | `TableCellColumnSpan`
`static QTextFormat.Property` | `TableCellLeftPadding`
`static QTextFormat.Property` | `TableCellPadding`
`static QTextFormat.Property` | `TableCellRightPadding`
`static QTextFormat.Property` | `TableCellRowSpan`
`static QTextFormat.Property` | `TableCellSpacing`
`static QTextFormat.Property` | `TableCellTopPadding`
`static QTextFormat.Property` | `TableColumns`
`static QTextFormat.Property` | `TableColumnWidthConstraints`
`static QTextFormat.Property` | `TableHeaderRowCount`
`static QTextFormat.Property` | `TabPositions` Specifies the tab positions.
`static QTextFormat.Property` | `TextIndent`
`static QTextFormat.Property` | `TextOutline`
`static QTextFormat.Property` | `TextToolTip` Specifies the (optional) tool tip to be displayed for a fragment of text.
`static QTextFormat.Property` | `TextUnderlineColor`
`static QTextFormat.Property` | `TextUnderlineStyle`
`static QTextFormat.Property` | `TextVerticalAlignment`
`static QTextFormat.Property` | `UserProperty`

Method Summary
`static QTextFormat.Property` | `resolve(int value)` Returns the QTextFormat$Property constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextFormat.Property` | `valueOf(java.lang.String name)`
`static QTextFormat.Property[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ObjectIndex

    public static final QTextFormat.Property ObjectIndex

### CssFloat

    public static final QTextFormat.Property CssFloat

### LayoutDirection

    public static final QTextFormat.Property LayoutDirection

  The layout direction of the text in the document (`Qt::LayoutDirection` ).

### OutlinePen

    public static final QTextFormat.Property OutlinePen

### BackgroundBrush

    public static final QTextFormat.Property BackgroundBrush

### ForegroundBrush

    public static final QTextFormat.Property ForegroundBrush

### BackgroundImageUrl

    public static final QTextFormat.Property BackgroundImageUrl

### BlockAlignment

    public static final QTextFormat.Property BlockAlignment

### BlockTopMargin

    public static final QTextFormat.Property BlockTopMargin

### BlockBottomMargin

    public static final QTextFormat.Property BlockBottomMargin

### BlockLeftMargin

    public static final QTextFormat.Property BlockLeftMargin

### BlockRightMargin

    public static final QTextFormat.Property BlockRightMargin

### TextIndent

    public static final QTextFormat.Property TextIndent

### TabPositions

    public static final QTextFormat.Property TabPositions

  Specifies the tab positions. The tab positions are structs of QTextOption::Tab which are stored in a QList (internally, in a QList<`QVariant`>).

### BlockIndent

    public static final QTextFormat.Property BlockIndent

### BlockNonBreakableLines

    public static final QTextFormat.Property BlockNonBreakableLines

### BlockTrailingHorizontalRulerWidth

    public static final QTextFormat.Property BlockTrailingHorizontalRulerWidth

### FontCapitalization

    public static final QTextFormat.Property FontCapitalization

  Specifies the capitalization type that is to be applied to the text.

### FontLetterSpacing

    public static final QTextFormat.Property FontLetterSpacing

  Changes the default spacing between individual letters in the font. The value is specified in percentage, with 100 as the default value.

### FontWordSpacing

    public static final QTextFormat.Property FontWordSpacing

  Changes the default spacing between individual words. A positive value increases the word spacing by the corresponding pixels; a negative value decreases the spacing.

### FontFamily

    public static final QTextFormat.Property FontFamily

### FontPointSize

    public static final QTextFormat.Property FontPointSize

### FontSizeAdjustment

    public static final QTextFormat.Property FontSizeAdjustment

  Specifies the change in size given to the fontsize already set using `FontPointSize` or `FontPixelSize` .

### FontWeight

    public static final QTextFormat.Property FontWeight

### FontItalic

    public static final QTextFormat.Property FontItalic

### FontUnderline

    public static final QTextFormat.Property FontUnderline

  This property has been deprecated. Use `QTextFormat::TextUnderlineStyle` instead.

### FontOverline

    public static final QTextFormat.Property FontOverline

### FontStrikeOut

    public static final QTextFormat.Property FontStrikeOut

### FontFixedPitch

    public static final QTextFormat.Property FontFixedPitch

### FontPixelSize

    public static final QTextFormat.Property FontPixelSize

### TextUnderlineColor

    public static final QTextFormat.Property TextUnderlineColor

### TextVerticalAlignment

    public static final QTextFormat.Property TextVerticalAlignment

### TextOutline

    public static final QTextFormat.Property TextOutline

### TextUnderlineStyle

    public static final QTextFormat.Property TextUnderlineStyle

### TextToolTip

    public static final QTextFormat.Property TextToolTip

  Specifies the (optional) tool tip to be displayed for a fragment of text.

### IsAnchor

    public static final QTextFormat.Property IsAnchor

### AnchorHref

    public static final QTextFormat.Property AnchorHref

### AnchorName

    public static final QTextFormat.Property AnchorName

### ObjectType

    public static final QTextFormat.Property ObjectType

### ListStyle

    public static final QTextFormat.Property ListStyle

### ListIndent

    public static final QTextFormat.Property ListIndent

### FrameBorder

    public static final QTextFormat.Property FrameBorder

### FrameMargin

    public static final QTextFormat.Property FrameMargin

### FramePadding

    public static final QTextFormat.Property FramePadding

### FrameWidth

    public static final QTextFormat.Property FrameWidth

### FrameHeight

    public static final QTextFormat.Property FrameHeight

### FrameTopMargin

    public static final QTextFormat.Property FrameTopMargin

### FrameBottomMargin

    public static final QTextFormat.Property FrameBottomMargin

### FrameLeftMargin

    public static final QTextFormat.Property FrameLeftMargin

### FrameRightMargin

    public static final QTextFormat.Property FrameRightMargin

### FrameBorderBrush

    public static final QTextFormat.Property FrameBorderBrush

### FrameBorderStyle

    public static final QTextFormat.Property FrameBorderStyle

### TableColumns

    public static final QTextFormat.Property TableColumns

### TableColumnWidthConstraints

    public static final QTextFormat.Property TableColumnWidthConstraints

### TableCellSpacing

    public static final QTextFormat.Property TableCellSpacing

### TableCellPadding

    public static final QTextFormat.Property TableCellPadding

### TableHeaderRowCount

    public static final QTextFormat.Property TableHeaderRowCount

### TableCellRowSpan

    public static final QTextFormat.Property TableCellRowSpan

### TableCellColumnSpan

    public static final QTextFormat.Property TableCellColumnSpan

### TableCellTopPadding

    public static final QTextFormat.Property TableCellTopPadding

### TableCellBottomPadding

    public static final QTextFormat.Property TableCellBottomPadding

### TableCellLeftPadding

    public static final QTextFormat.Property TableCellLeftPadding

### TableCellRightPadding

    public static final QTextFormat.Property TableCellRightPadding

### ImageName

    public static final QTextFormat.Property ImageName

### ImageWidth

    public static final QTextFormat.Property ImageWidth

### ImageHeight

    public static final QTextFormat.Property ImageHeight

### FullWidthSelection

    public static final QTextFormat.Property FullWidthSelection

  When set on the characterFormat of a selection, the whole width of the text will be shown selected

### PageBreakPolicy

    public static final QTextFormat.Property PageBreakPolicy

### UserProperty

    public static final QTextFormat.Property UserProperty

Method Detail

### values

    public static QTextFormat.Property[] values()

### valueOf

    public static QTextFormat.Property valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextFormat.Property resolve(int value)

  Returns the QTextFormat$Property constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD